Sync Order Updates With Persistence
1 min
PUT
https://api.upstartcommerce.com/v1/order/{orderId}/sync-order/{sequenceNo}
orderIdstring<uuid>The parameterized order id in the URI.
sequenceNointeger<int32>The sequence number up to which DLQ events should be processed
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobjectThe order data to be updated in persistence
200<p>Success-order updated in persistence successfully.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/order/{orderId}/sync-order/{sequenceNo} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"currency": "",
"distanceUnit": "",
"items": [
{
"catalogItem": {
"id": "",
"siteIds": [],
"dynamicProperties": "",
"hidden": false,
"ignoreInventory": false,
"name": "Green Flubber",
"relatedIds": [],
"shippingMethodIds": [],
"type": "",
"typeId": "",
"typeName": "Speaker",
"version": 0
},
"catalogItemId": "",
"catalogItemType": "",
"pricing": {
"basePrice": {
"listPrice": "",
"price": "",
"type": "",
"zone": ""
},
"feePriceAdjustments": [
{
"baseValue": "",
"id": "",
"name": "",
"quantity": "",
"value": ""
}
],
"promotionPriceAdjustments": [
{
"id": "",
"value": "",
"taxPriceAdjustment": {
"taxCode": ""
}
}
],
"taxPriceAdjustment": {
"taxCode": ""
}
},
"productItemSkuId": "",
"quantity": "",
"targetShipmentIds": [],
"state": ""
}
],
"coupons": [
{
"id": "",
"applied": false
}
],
"returnPolicyQualifications": [
{
"id": "",
"name": "",
"groupQualifications": [
{
"name": "",
"triggeringItemIds": [],
"qualifyingItemIds": [],
"qualifyingSubjects": {
"id": ""
},
"qualificationResult": {
"triggeredMessage": ""
}
}
]
}
],
"shippingCoordinates": {
"latitude": "",
"longitude": ""
},
"shippingAddress": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"poBox": false,
"name": {
"first": "John",
"last": "Smith"
}
},
"billingAddress": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"poBox": false,
"name": {
"first": "John",
"last": "Smith"
}
},
"shipments": [
{
"state": "",
"shippingMethodId": "",
"addressFrom": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"poBox": false,
"name": {
"first": "John",
"last": "Smith"
}
},
"addressTo": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"poBox": false,
"name": {
"first": "John",
"last": "Smith"
}
},
"shippingToDistance": {
"value": 157.75,
"unit": ""
},
"rate": {
"rateId": "",
"carrierId": "",
"pricing": {
"shipping": ""
},
"carrierDeliveryDates": "",
"serviceType": "",
"serviceCode": "",
"carrierCode": ""
},
"packages": [
{
"dimensions": {
"width": 18.5,
"length": 18.5,
"height": 18.5,
"unit": ""
},
"weight": {
"value": "",
"unit": ""
}
}
],
"pricing": {
"promotionPriceAdjustments": [
{
"id": "",
"value": "",
"taxPriceAdjustment": {
"taxCode": ""
}
}
],
"taxPriceAdjustment": {
"taxCode": ""
}
},
"errors": [
{
"code": "",
"level": ""
}
],
"pickupHours": {
"isOpen": "",
"day": ""
}
}
],
"pricing": {
"promotionPriceAdjustments": [
{
"id": "",
"value": -200,
"itemIds": [],
"taxPriceAdjustment": {
"taxCode": ""
}
}
]
},
"payments": [
{
"exec": "",
"state": ""
}
],
"tax": {
"state": ""
}
}'